// Copyright 2019 terrier989@gmail.com.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/// Dint core classes such as [Entity] and [Query].
///
/// Import:
/// ```
/// import 'package:dint/data/business.dart'.
/// ```
library dint.data.core;

export 'package:dint/src/data/core/dart_primitive_queries.dart';
export 'package:dint/src/data/core/datastore_serializers.dart';
export 'package:dint/src/data/core/date.dart';
export 'package:dint/src/data/core/entity.dart';
export 'package:dint/src/data/core/meta.dart';
export 'package:dint/src/data/core/money.dart';
export 'package:dint/src/data/core/text.dart';
